In this tutorial, you will learn how to integrate WebDataRocks with jQuery.

jQuery is a JavaScript library which purpose is to simplify using JavaScript on your website. It helps to handle HTML/DOM/CSS manipulation, HTML event methods, AJAX calls and more.

Follow these steps to set up a project with jQuery and WebDataRocks:

  1. Create a project
  2. Add dependencies
  3. Initialize a pivot table
  4. Load the report into the pivot table

Step 1: Create a new project

  1. Create a new folder for the project, e.g. my-jquery-project/
  2. Create an index.html file inside my-jquery-project/ and include jQuery from the Google CDN to the <head> section:
<!DOCTYPE html>
<html>
<head>
    <title>My WebDataRocks & jQuery project</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<body>
</body>
</html>

Step 2: Add WebDataRocks dependencies

  1. Create a <div> container for a pivot table component:
    <!DOCTYPE html>
    <html>
    <head>
        <title>My WebDataRocks & jQuery project</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    </head>
    <body>
        <div id="wdr-component">The pivot table control will appear here</div>
    </body>
    </html>
    

  2. Add the WebDataRocks scripts and styles to the <head> section:

    <!DOCTYPE html>
    <html>
    <head>
        <title>My WebDataRocks & jQuery project</title>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <link href="https://cdn.webdatarocks.com/latest/webdatarocks.min.css" rel="stylesheet" />
        <script src="https://cdn.webdatarocks.com/latest/webdatarocks.toolbar.min.js"></script>
        <script src="https://cdn.webdatarocks.com/latest/webdatarocks.js"></script>
    </head>
    <body>
        <div id="wdr-component">The pivot table control will appear here</div>
    </body>
    </html>
    

Step 3. Initialize the pivot table component on the page

<!DOCTYPE html>
<html>
<head>
    <title>My WebDataRocks & jQuery project</title>
    <link href="https://cdn.webdatarocks.com/latest/webdatarocks.min.css" rel="stylesheet" />
    <script src="https://cdn.webdatarocks.com/latest/webdatarocks.toolbar.min.js"></script>
    <script src="https://cdn.webdatarocks.com/latest/webdatarocks.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<body>
    <div id="wdr-component"></div>
    <script>
        var pivot = $("#wdr-component").webdatarocks({
            toolbar: true
       });
    </script>
</body>
</html>

Step 4: Load the report

To display the data on the grid, add a report attribute and specify a URL to the report (or define an inline report):

<!DOCTYPE html>
<html>
<head>
    <title>My WebDataRocks & jQuery project</title>
    <link href="https://cdn.webdatarocks.com/latest/webdatarocks.min.css" rel="stylesheet" />
    <script src="https://cdn.webdatarocks.com/latest/webdatarocks.toolbar.min.js"></script>
    <script src="https://cdn.webdatarocks.com/latest/webdatarocks.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<body>
    <div id="wdr-component"></div>
    <script>
        var pivot = $("#wdr-component").webdatarocks({
            toolbar: true,
            report: "https://cdn.webdatarocks.com/reports/report.json"
       });
   </script>
</body>
</html>

Find out more in the CodePen demo.

Init jQuery call

An initial jQuery call for embedding of the component has the following structure:

    $("#wdr-component").webdatarocks({
        container: String,
        toolbar: Boolean,
        report: ReportObject | String,
        width: Number,
        height: Number,
        customizeCell: Function,
        global: ReportObject,
        reportcomplete: Function | String
})

This jQuery call embeds the pivot table component into the HTML page and takes as a parameter the id attribute of a container element (i.e., #wdr-component in this example).

Use this method to add the component to the HTML page with all the necessary parameters for the initialization.

Parameters

The list of parameters is the same as for an Init API call.

You can set event handlers as the properties of the initial jQuery call. See the list of events here.

All these parameters are optional. You can run $("#wdr-component").webdatarocks() and the component with an empty grid, the default width and height, and without the Toolbar will be added to the page.

Returns

A reference to the object of the embedded pivot table. You can create multiple instances and work with them on the same web page.

Example

Get a reference to the instance of the component by using the jQuery selector:

var pivot = $("#wdr-component").data("webdatarocks");

Documentation menu

Integration with Angular

This tutorial explains how to integrate the WebDataRocks reporting tool with the Angular framework. WebDataRocks works with Angular versions 5 or later and is Ivy-compatible.

Prerequisites

  1. Node.js and npm (installation link).
  2. Angular CLI. Install it globally from the console:
    npm install -g @angular/cli

Now choose how to integrate:

  1. Clone a sample Angular integration project from GitHub
  2. Integrate WebDataRocks into an Angular application

Clone a sample Angular integration project from GitHub

Step 1. Download or clone our sample project from GitHub:

git clone https://github.com/WebDataRocks/pivot-angular
cd pivot-angular

Step 2. Install npm packages by running npm install in the console.

Step 3. Run your application:

ng serve

The sample project will be available at http://localhost:4200/.

Note. This sample project uses the Ivy-compatible ngx-webdatarocks wrapper. You can also download another sample project with the ng-webdatarocks wrapper that is not based on Angular Ivy.

Integrate WebDataRocks into an Angular application

Step 1. If you don’t have an Angular CLI application yet, create one by running this command in the console:

ng new PROJECT-NAME
cd PROJECT-NAME

Step 2. Install the WebDataRocks Angular wrapper. You can choose between the following wrappers:

Then, download the chosen wrapper from npm:

ngx-webdatarocks

npm install @webdatarocks/ngx-webdatarocks

ng-webdatarocks

npm install @webdatarocks/ng-webdatarocks

Step 3. Import the WebDataRocksPivotModule in src/app/app.module.ts:

ngx-webdatarocks

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { WebdatarocksPivotModule } from '@webdatarocks/ngx-webdatarocks';
import { AppComponent } from './app.component';
@NgModule({
 declarations: [
   AppComponent
 ],
 imports: [
   BrowserModule,
   WebdatarocksPivotModule
 ],
 providers: [],
 bootstrap: [AppComponent]
})
export class AppModule { }

ng-webdatarocks

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { WebdatarocksPivotModule } from '@webdatarocks/ng-webdatarocks';
import { AppComponent } from './app.component';
@NgModule({
 declarations: [
   AppComponent
 ],
 imports: [
   BrowserModule,
   WebdatarocksPivotModule
 ],
 providers: [],
 bootstrap: [AppComponent]
})
export class AppModule { }

Step 4. Add WebDataRocks styles to the src/styles.css file:

@import '@webdatarocks/webdatarocks/webdatarocks.min.css' 

Step 5. Open src/app/app.component.html and add WebDataRocks there using the app-wbr-pivot directive:

<app-wbr-pivot 
 [toolbar]="true"
 [width]="'100%'"
 [height]="500"
 [report]="'https://cdn.webdatarocks.com/reports/report.json'">
   WebDataRocks will appear here
</app-wbr-pivot>

Step 6. Run your application:

ng serve --open

Your application will be available at http://localhost:4200/.

Documentation menu

Integration with React

This guide describes how to integrate WebDataRocks with React.

Prerequisites

Before starting, make sure that Node.js is installed on your machine. 

Next, choose one of the following guides:

  1. Run the sample project from GitHub
  2. Integrate WebDataRocks into a React project
  3. Integrate WebDataRocks into a React/JSX project

Run the sample project from GitHub

Step 1. Download or clone our sample project from GitHub:

React + ES6

git clone https://github.com/WebDataRocks/pivot-react
cd pivot-react/ES6

React + TypeScript

git clone https://github.com/WebDataRocks/pivot-react
cd pivot-react/typescript

Step 2. Install npm packages by running npm install in the console.

Step 3. Run your application:

npm start

The application will be available at http://localhost:3000/.

Integrate WebDataRocks into a React project

Step 1. If you don’t have a React application yet, create one. In this guide, we’re using Vite:

React + ES6

Commands for npm 7+:

npm create vite@latest my-app -- --template react
cd my-app
npm install

Commands for npm 6:

npm create vite@latest my-app --template react
cd my-app
npm install

React + TypeScript

Commands for npm 7+:

npm create vite@latest my-app -- --template react-ts
cd my-app
npm install

Commands for npm 6:

npm create vite@latest my-app --template react-ts
cd my-app
npm install

Step 2. Get the WebDataRocks React module from npm:

npm install @webdatarocks/react-webdatarocks

Step 3. Add WebDataRocks styles to the src/index.css file:

@import "@webdatarocks/webdatarocks/webdatarocks.css";

Step 4. Import the WebDataRocksReact module to the src/App.jsx file (src/App.tsx in React + TypeScript):

import * as WebDataRocksReact from "@webdatarocks/react-webdatarocks";

Step 5. Open src/App.jsx (src/App.tsx in React + TypeScript) and add WebDataRocks there using the WebDataRocksReact.Pivot component:

function App() {
    return (
      <div className="App">
        <WebDataRocksReact.Pivot 
         toolbar={true}
         width="100%"
         report="https://cdn.webdatarocks.com/reports/report.json"
        />
      </div>
    );
}

Step 6. Run your application:

npm run dev

Open http://localhost:5173/ in the browser — WebDataRocks is embedded into your React project.

Important The @webdatarocks/react-webdatarocks wrapper is not compatible with <StrictMode>. If <StrictMode> is enabled in your project, disable it or enable only for that part of the project where WebDataRocks is not used.

Integrate WebDataRocks into a React/JSX project

This sample shows how to integrate WebDataRocks Pivot Table with the React/JSX application.

This guide will walk you through the process of integrating WebDataRocks with Vue.js.

Prerequisites

Before starting, make sure that Node.js and npm are installed on your machine. 

Next, choose one of the following guides:

  1. Run the sample Vue 2 project from GitHub
  2. Integrate WebDataRocks into a Vue 2 project
  3. Integrate WebDataRocks into a Vue 3 project

Run the sample Vue 2 project from GitHub

Step 1. Download or clone the sample project from GitHub:

git clone https://github.com/WebDataRocks/pivot-vue
cd pivot-vue

Step 2. Install the npm packages described in the package.json file:

npm install

Step 3. Run the project:

npm run serve

The sample project will be available at http://localhost:8080/.

You can shut down the app with Ctrl + C.

Integrate WebDataRocks into a Vue 2 project

The below guidelines describe how to integrate WebDataRocks with Vue 2. If you’re interested in integrating with Vue 3, see this guide: Integrate WebDataRocks into a Vue 3 project.

Step 1. Install the Vue CLI by running the following command:

npm install -g @vue/cli

Skip this step if the Vue CLI is already installed. 

Step 2. Unless you already have the Vue project, create one with the following command:

vue create project-name
cd project-name

During the creation process, you will be prompted to choose configurations for your project. Choose the default Vue 2 preset.

Step 3. Get the WebDataRocks Vue module from npm:

npm install vue-webdatarocks

Step 4. Register WebDataRocks in your Vue project using one of the following approaches:

  • Register globally in the src/main.js file:
    // other imports
    import Pivot from 'vue-webdatarocks';
    import 'webdatarocks/webdatarocks.css';


    Vue.use(Pivot);
    //other code
  • Register locally in the component where you need the pivot table (e.g., src/App.vue):
    <script> 
    import {Pivot} from 'vue-webdatarocks';
    import 'webdatarocks/webdatarocks.css';


    // Define WebDataRocks in the list of components
    export default {
    name: 'app',
    components: {
    Pivot,
    }
    }
    </script>

Step 5. Add WebDataRocks to the <template> tag of the component (e.g., src/App.vue):

<template>
    <div id="app">
        <WebDataRocks
         report="https://cdn.webdatarocks.com/reports/report.json"
         toolbar>
        </WebDataRocks>
    </div>
</template>

Note that the <template> tag must contain only one root <div> element.

Step 6. Run your app:

npm run serve

Your WebDataRocks & Vue 2 project will be available at http://localhost:8080/.

You can shut down the app with Ctrl + C.

Integrate WebDataRocks into a Vue 3 project

Follow the steps below to integrate WebDataRocks with Vue 3.

Step 1. If you don’t have a Vue 3 project, create one:

vue create vue-3-project
cd vue-3-project

During the creation process, you will be prompted to choose configurations for your project. Choose the default Vue 3 preset. 

Step 2. Install WebDataRocks from npm:

npm install webdatarocks

Step 3. Download the Pivot.vue file from our GitHub and place it in the src/components/ folder.

Step 4. Import WebDataRocks from Pivot.vue in the component where you need the pivot table (e.g., src/App.vue):

<script>
import Pivot from "./components/Pivot";
 
export default {
    name: "App",
    components: {
        Pivot,
    },
};
</script>

Step 5. Import WebDataRocks CSS:

<script>
import Pivot from "./components/Pivot";
import "webdatarocks/webdatarocks.css";
 
export default {
    name: "App",
    components: {
        Pivot,
    },
};
</script>

Step 6. Add WebDataRocks to the <template> tag of the component (e.g., src/App.vue):

<template>
  <Pivot
    toolbar
    report="https://cdn.webdatarocks.com/reports/report.json"
  />
</template>

Step 7. Run the app:

npm run serve

Your WebDataRocks & Vue 3 project will be available at http://localhost:8080/.

See also